/* Exemplet visar hur man först tar fram en referens till ett HTML-element
   och därefter lägger till .style.CSSegenskap, för att kunna avläsa eller
   ändra en stil för elementet. */
// --------------------------------------------------

// Program som körs då webbsidan laddats in
function init() {
   
   // Referera först till ett element och gå vidare till style och önskad egenskap

   console.log(document.querySelector("#fruitList").style.backgroundColor);

   // För att ändra stilen skriver man referensen till egenskapen till vänster om likhetstecknet
   // och det nya värdet till höger om likhetstecknet
   document.querySelector("#fruitList").style.backgroundColor = "#69E";
   document.querySelector("#fruitList").style.fontSize = "2rem";

   console.log(document.querySelector("#fruitList").style.backgroundColor);
   console.log(document.querySelector("#fruitList").style.fontSize);

   // ----------------------------------------

   // Ändra, lägga till och ta bort class

   console.log(document.querySelector("#fruitList li:nth-of-type(2)").className);

   document.querySelector("#fruitList li:nth-of-type(2)").className = "taken";

   document.querySelector("#fruitList li:nth-of-type(4)").classList.add("taken");
   document.querySelector("#fruitList li:nth-of-type(4)").classList.remove("selected");

   document.querySelector("#fruitList li:nth-of-type(5)").classList.toggle("selected");

} // Slut init
window.addEventListener("load", init); // init anropas då webbsidan är inladdad
